/* on.c
 *
 * Copyright (C) 2016 Ing. Stefano Salvi<stefano@salvi.mn.it>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

#include <stdio.h>
#include <stdlib.h>
#include <wiringPi.h>

#define SERVOPIN  18


int main () {
  int pwmValue, i;
  // wiringPiSetup ();
  wiringPiSetupGpio ();
  pinMode (SERVOPIN, PWM_OUTPUT) ;
  pwmSetClock(960);
  pwmSetRange (400) ;

  pwmValue = 1000;
  for (pwmValue = 200; pwmValue < 350; pwmValue += 1) {
    pwmWrite(SERVOPIN, pwmValue);
    printf ("%d\n", pwmValue);
    delay (500);
  }
  delay (1000);
  return 0;
}
